################################################################
# DONGLE INSTALLED ?
# exposures: QuickTake 150 portrait mode
# PICTs are 01-18 Portrait Photoflash
# FOVY is about: 89 (Test with -fovy 90 4)
# Please look at the "Mark" menu
################################################################

# setup some vars
# SET THE PATH TO YOUR QTVR WORK FOLDER HERE...
set workPath  "YourHardDisk:AFolder:AnotherFolder:etc:Template:"
export workPath

# RENAME THIS VARIABLE
set	outName	"Template"

set outFile  "{workPath}{outName}.stitch"

set rawPicts  "{workPath}SourcePicts"
export rawPicts

set	srcPict "{workPath}{outName}.srcPict"
export srcPict

set	srcMoov	"{workPath}{outName}.srcMoov"
export srcMoov

set	vrMoov	"{workPath}{outName}.mov"
export vrMoov

################################################################

# STITCH #######################################################
Delete -i -y "{srcPict}"   # clean start
Close "{outFile}"  dev:null && beep
Stitch -verbose -cropOut 
	-sharpen -blend -fill 
	-fovy 43  #4 ##
#	-i ###
	-show ###
	-wrap ###
	-outWidth 640 ###
	-outHeight 6048 ###
	-offset 350 0 -range 60 50 
	-rotate 0 
	-win 800 500 
	-dir "{rawPicts}" -files 01-18 
	-out "{srcPict}"  "{outFile}"
Open -r "{outFile}"

################################################################

# QUIT MPW AND RETOUCH IN PHOTOSHOP HERE

# DICE #######################################################
set tiling	"2 24"

delete -i -y "{srcMoov}"
p2mv {tiling} "{srcMoov}" -in "{srcPict}" -codec "cvid" 

unset windowSize
set windowSize " -windowSize 480 300" 
set vPanRange " -vPanRange 20 -20" 
set hPanRange " -hPanRange 0 360"

delete -i -y "{vrMoov}"
msnm "{vrMoov}" -source "{srcMoov}" {tiling} {windowSize} {vPanRange} {hPanRange}

################################################################
